1 You can manually type lisp code on the command line so you can use ssget to make a selection, and then use Copy etc. (ssget '((0 . "Text")))
2 The Filter command is the same just select text then it detects the selection made.
3 Qselect ?
4 You can make a shorthand using the ssget mentioned aboved so Copy 'ssgt the 'ssgt is a shorthand command that is tranparently called, its a preloaded lisp you could have a few of these for pre defined selections. The use of transparent commands is one of those hidden options in Autocad.
Some examples at command line type
copy 'ssgt <Enter> pick pick text is copied.
Chprop 'ssgt "" la newlayer
Note the apostrophe ' before the command this makes it transparent.
(defun c:ssgp ()
(ssget '((0 . "LWPOLYLINE")))
)
(defun c:ssgt ()
(ssget '((0 . "Text")))
)
(defun c:ssgm()
(ssget '((0 . "MText")))
)
(defun c:ssgl ()
(ssget '((0 . "LINE")))
)
(defun c:ssmt ()
(ssget '((0 . "*text")))
)
;
(defun c:ssct ( / ss)
(setq ss (ssget '((0 . "*Text"))))
(command "chprop" ss "" "la" (getstring "new layer") "")
)